
%define debug_package %{nil}
Name:    tezos-smart-rollup-node-PtMumbai
Version: 17.0rc1
Release: 1
Epoch: 1
Summary: Tezos smart rollup node using PtMumbai
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-smart-rollup-node-PtMumbai-17.0rc1.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v17.0-rc1/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , tezos-client, tezos-node, tezos-sapling-params
%description
Tezos smart rollup node using PtMumbai
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-smart-rollup-node-PtMumbai
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-smart-rollup-node-PtMumbai %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-smart-rollup-node-PtMumbai %{buildroot}/%{_bindir}/tezos-smart-rollup-node-PtMumbai



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-smart-rollup-node-ptmumbai.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-smart-rollup-node-ptmumbai.default %{buildroot}/%{_sysconfdir}/default/tezos-smart-rollup-node-ptmumbai

install -m 0755 tezos-sc-rollup-node-PtMumbai-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-smart-rollup-node-PtMumbai
%{_bindir}/tezos-smart-rollup-node-PtMumbai

%{_bindir}/tezos-sc-rollup-node-PtMumbai-start

%{_unitdir}/tezos-smart-rollup-node-ptmumbai.service

%{_sysconfdir}/default/tezos-smart-rollup-node-ptmumbai



%post
%systemd_post tezos-smart-rollup-node-ptmumbai.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-smart-rollup-node-ptmumbai.service


%postun
%systemd_postun_with_restart tezos-smart-rollup-node-ptmumbai.service



